Subject: Re: [PATCH v2] glossary: add definitions for dereference & peel

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Nov 2023 13:49:45 +0900

"Victoria Dye via GitGitGadget" <[email-masked]> writes:

>      * Removed references to "peeling" a commit; the updated definition
>        discusses "peeling" only in the context of tags.
>      * Added a cross-link from "dereference" to "peel" (one already existed
>        for "peel" to "dereference").
> ...
> +[[def_peel]]peel::
> +	The action of recursively <<def_dereference,dereferencing>> a
> +	<<def_tag_object,tag object>>.
> +

This was a bit surprising to me as I thought we would say "peel the
tag once" vs "peel the tag repeatedly", but upon inspecting the
existing code, documentation, and messages, we seem to mean by "to
peel" to dereference a tag repeatedly until it no longer is a tag,
which the new entry above exactly is (although "until the non-tag
object is revealed" is missing).

Thanks.  Will queue.